import * as TencentCloudCommon from "tencentcloud-sdk-nodejs-common";
import { SendMessageResponse, SendMessageRequest } from "./dataintegration_models";
/**
 * dataintegration client
 * @class
 */
export declare class Client extends TencentCloudCommon.AbstractClient {
    constructor(clientConfig: TencentCloudCommon.ClientConfig);
    /**
     * 使用SDK将数据上报到DIP
     */
    SendMessage(req: SendMessageRequest, cb?: (error: string, rep: SendMessageResponse) => void): Promise<SendMessageResponse>;
}
